NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::SketchInPlaceBuilder Class Reference

Use the NXOpen::SketchInPlaceBuilder to create or reattach a NXOpen::Sketch on a NXOpen::DatumPlane or planar NXOpen::Face . More...

Inheritance diagram for NXOpen::SketchInPlaceBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectIReferenceAxisAxis ()
 Returns the reference axis
More...
 
NXOpen::AxisOrientation AxisOrientation ()
 Returns the reference axis orientation (horizontal or vertical)
Created in NX5.0.0. More...
 
NXOpen::AxisOrientation AxisOrientationInfer ()
 Returns the reference axis orientation (horizontal or vertical)
Created in NX11.0.0. More...
 
NXOpen::DirectionAxisReference ()
 Returns the reference axis for sketch
Created in NX11.0.0. More...
 
bool CreateIntermediateDatumCsys ()
 Returns the create intermediate datum csys toggle. More...
 
NXOpen::CartesianCoordinateSystemCsystem ()
 Returns the csys method for sketch
Created in NX11.0.0. More...
 
bool MakeOriginAssociative ()
 Returns the associative origin toggle. More...
 
NXOpen::OriginMethod OriginOption ()
 Returns the origin method for sketch
Created in NX11.0.0. More...
 
NXOpen::OriginMethod OriginOptionInfer ()
 Returns the origin method for sketch
Created in NX11.0.0. More...
 
NXOpen::PlanePlane ()
 Returns the specified datum plane
More...
 
NXOpen::Sketch::PlaneOption PlaneOption ()
 Returns the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0. More...
 
NXOpen::SelectISurfacePlaneOrFace ()
 Returns the specified sketch plane
More...
 
NXOpen::PlanePlaneReference ()
 Returns the placement plane for sketch
Created in NX11.0.0. More...
 
bool ProjectWorkPartOrigin ()
 Returns the create project work part origin toggle. More...
 
bool ReverseAxis ()
 Returns the flag to indicate the reference axis is reversed
More...
 
bool ReversePlaneNormal ()
 Returns the flag to indicate the normal direction of the sketch plane is reversed. More...
 
void SetAxisOrientation (NXOpen::AxisOrientation axisOrientation)
 Sets the reference axis orientation (horizontal or vertical)
Created in NX5.0.0. More...
 
void SetAxisOrientationInfer (NXOpen::AxisOrientation axisOrientation)
 Sets the reference axis orientation (horizontal or vertical)
Created in NX11.0.0. More...
 
void SetAxisReference (NXOpen::Direction *axis)
 Sets the reference axis for sketch
Created in NX11.0.0. More...
 
void SetCreateIntermediateDatumCsys (bool intermediateDatumCsys)
 Sets the create intermediate datum csys toggle. More...
 
void SetCsystem (NXOpen::CartesianCoordinateSystem *csystem)
 Sets the csys method for sketch
Created in NX11.0.0. More...
 
void SetMakeOriginAssociative (bool associativeOrigin)
 Sets the associative origin toggle. More...
 
void SetOriginOption (NXOpen::OriginMethod method)
 Sets the origin method for sketch
Created in NX11.0.0. More...
 
void SetOriginOptionInfer (NXOpen::OriginMethod method)
 Sets the origin method for sketch
Created in NX11.0.0. More...
 
void SetPlaneOption (NXOpen::Sketch::PlaneOption planeOption)
 Sets the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0. More...
 
void SetPlaneReference (NXOpen::Plane *plane)
 Sets the placement plane for sketch
Created in NX11.0.0. More...
 
void SetProjectWorkPartOrigin (bool projectWorkPartOrigin)
 Sets the create project work part origin toggle. More...
 
void SetReverseAxis (bool reverseAxis)
 Sets the flag to indicate the reference axis is reversed
More...
 
void SetReversePlaneNormal (bool reversePlaneNormal)
 Sets the flag to indicate the normal direction of the sketch plane is reversed. More...
 
void SetSketchOrigin (NXOpen::Point *origin)
 Sets the origin point for sketch
Created in NX7.5.0. More...
 
NXOpen::PointSketchOrigin ()
 Returns the origin point for sketch
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Use the NXOpen::SketchInPlaceBuilder to create or reattach a NXOpen::Sketch on a NXOpen::DatumPlane or planar NXOpen::Face .


To create a new instance of this class, use NXOpen::SketchCollection::CreateNewSketchInPlaceBuilder
Default values.

Property Value

CreateIntermediateDatumCsys (deprecated)

1

MakeOriginAssociative (deprecated)

1

PlaneOption

Inferred


Created in NX5.0.0.

Member Function Documentation

NXOpen::SelectIReferenceAxis* NXOpen::SketchInPlaceBuilder::Axis ( )

Returns the reference axis

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::SketchInPlaceBuilder::AxisReference instead.


Created in NX5.0.0.

License requirements : None

NXOpen::AxisOrientation NXOpen::SketchInPlaceBuilder::AxisOrientation ( )

Returns the reference axis orientation (horizontal or vertical)
Created in NX5.0.0.



License requirements : None

NXOpen::AxisOrientation NXOpen::SketchInPlaceBuilder::AxisOrientationInfer ( )

Returns the reference axis orientation (horizontal or vertical)
Created in NX11.0.0.



License requirements : None

NXOpen::Direction* NXOpen::SketchInPlaceBuilder::AxisReference ( )

Returns the reference axis for sketch
Created in NX11.0.0.



License requirements : None

bool NXOpen::SketchInPlaceBuilder::CreateIntermediateDatumCsys ( )

Returns the create intermediate datum csys toggle.


Deprecated:
Deprecated in NX11.0.0. None


Created in NX7.5.0.

License requirements : None

NXOpen::CartesianCoordinateSystem* NXOpen::SketchInPlaceBuilder::Csystem ( )

Returns the csys method for sketch
Created in NX11.0.0.



License requirements : None

bool NXOpen::SketchInPlaceBuilder::MakeOriginAssociative ( )

Returns the associative origin toggle.


Deprecated:
Deprecated in NX11.0.0. None


Created in NX7.5.0.

License requirements : None

NXOpen::OriginMethod NXOpen::SketchInPlaceBuilder::OriginOption ( )

Returns the origin method for sketch
Created in NX11.0.0.



License requirements : None

NXOpen::OriginMethod NXOpen::SketchInPlaceBuilder::OriginOptionInfer ( )

Returns the origin method for sketch
Created in NX11.0.0.



License requirements : None

NXOpen::Plane* NXOpen::SketchInPlaceBuilder::Plane ( )

Returns the specified datum plane

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::SketchInPlaceBuilder::PlaneReference instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Sketch::PlaneOption NXOpen::SketchInPlaceBuilder::PlaneOption ( )

Returns the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0.



License requirements : None

NXOpen::SelectISurface* NXOpen::SketchInPlaceBuilder::PlaneOrFace ( )

Returns the specified sketch plane

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::SketchInPlaceBuilder::PlaneReference instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Plane* NXOpen::SketchInPlaceBuilder::PlaneReference ( )

Returns the placement plane for sketch
Created in NX11.0.0.



License requirements : None

bool NXOpen::SketchInPlaceBuilder::ProjectWorkPartOrigin ( )

Returns the create project work part origin toggle.


Deprecated:
Deprecated in NX11.0.0. Use NXOpen::SketchInPlaceBuilder::OriginOption instead.


Created in NX7.5.0.

License requirements : None

bool NXOpen::SketchInPlaceBuilder::ReverseAxis ( )

Returns the flag to indicate the reference axis is reversed

Deprecated:
Deprecated in NX11.0.0.

None


Created in NX5.0.0.

License requirements : None

bool NXOpen::SketchInPlaceBuilder::ReversePlaneNormal ( )

Returns the flag to indicate the normal direction of the sketch plane is reversed.

This is not applicable when the plane is a Face.

Deprecated:
Deprecated in NX11.0.0. None


Created in NX5.0.0.

License requirements : None

void NXOpen::SketchInPlaceBuilder::SetAxisOrientation ( NXOpen::AxisOrientation  axisOrientation)

Sets the reference axis orientation (horizontal or vertical)
Created in NX5.0.0.



License requirements : None

Parameters
axisOrientationaxisorientation
void NXOpen::SketchInPlaceBuilder::SetAxisOrientationInfer ( NXOpen::AxisOrientation  axisOrientation)

Sets the reference axis orientation (horizontal or vertical)
Created in NX11.0.0.



License requirements : None

Parameters
axisOrientationaxisorientation
void NXOpen::SketchInPlaceBuilder::SetAxisReference ( NXOpen::Direction axis)

Sets the reference axis for sketch
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

Parameters
axisaxis
void NXOpen::SketchInPlaceBuilder::SetCreateIntermediateDatumCsys ( bool  intermediateDatumCsys)

Sets the create intermediate datum csys toggle.


Deprecated:
Deprecated in NX11.0.0. None


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
intermediateDatumCsysintermediatedatumcsys
void NXOpen::SketchInPlaceBuilder::SetCsystem ( NXOpen::CartesianCoordinateSystem csystem)

Sets the csys method for sketch
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

Parameters
csystemcsystem
void NXOpen::SketchInPlaceBuilder::SetMakeOriginAssociative ( bool  associativeOrigin)

Sets the associative origin toggle.


Deprecated:
Deprecated in NX11.0.0. None


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
associativeOriginassociativeorigin
void NXOpen::SketchInPlaceBuilder::SetOriginOption ( NXOpen::OriginMethod  method)

Sets the origin method for sketch
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

Parameters
methodSpecify Point or Use Work Part Origin
void NXOpen::SketchInPlaceBuilder::SetOriginOptionInfer ( NXOpen::OriginMethod  method)

Sets the origin method for sketch
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

Parameters
methodSpecify Point or Use Work Part Origin
void NXOpen::SketchInPlaceBuilder::SetPlaneOption ( NXOpen::Sketch::PlaneOption  planeOption)

Sets the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0.



License requirements : None

Parameters
planeOptionplaneoption
void NXOpen::SketchInPlaceBuilder::SetPlaneReference ( NXOpen::Plane plane)

Sets the placement plane for sketch
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

Parameters
planeplane
void NXOpen::SketchInPlaceBuilder::SetProjectWorkPartOrigin ( bool  projectWorkPartOrigin)

Sets the create project work part origin toggle.


Deprecated:
Deprecated in NX11.0.0. Use NXOpen::SketchInPlaceBuilder::SetOriginOption instead.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
projectWorkPartOriginprojectworkpartorigin
void NXOpen::SketchInPlaceBuilder::SetReverseAxis ( bool  reverseAxis)

Sets the flag to indicate the reference axis is reversed

Deprecated:
Deprecated in NX11.0.0.

Get NXOpen.SketchInPlaceBuilder.AxisReference, and then reverse the smart direction.


Created in NX5.0.0.

License requirements : None

Parameters
reverseAxisreverseaxis
void NXOpen::SketchInPlaceBuilder::SetReversePlaneNormal ( bool  reversePlaneNormal)

Sets the flag to indicate the normal direction of the sketch plane is reversed.

This is not applicable when the plane is a Face.

Deprecated:
Deprecated in NX11.0.0. Get NXOpen.SketchInPlaceBuilder.PlaneReference, and then reverse the smart plane normal.


Created in NX5.0.0.

License requirements : None

Parameters
reversePlaneNormalreverseplanenormal
void NXOpen::SketchInPlaceBuilder::SetSketchOrigin ( NXOpen::Point origin)

Sets the origin point for sketch
Created in NX7.5.0.



License requirements : None

Parameters
originorigin
NXOpen::Point* NXOpen::SketchInPlaceBuilder::SketchOrigin ( )

Returns the origin point for sketch
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.